Subject: for Bob Stephens

From: Matt Cherry <[email-masked]>
Date: Mon, 06 Aug 2007 12:02:48 -0400

Dear Bob,
It was great talking to you last week. I have a ton of ideas to explore with you. First, I want to check this email reaches you: I don't seem to have any other email address for you.

Thanks
Matt
ps. Because I want to check out what materials you currently have available I will be mailing some of the other e-ddresses on the DDC site.

Matt Cherry
Executive Director, Institute for Humanist Studies
Check out our weekly e-zine, Humanist Network News, at www.HumanistNetworkNews.org